Page MenuHomePhabricator

Order of Senses
Closed, ResolvedPublic5 Story Points

Description

Problem:
Currently Senses are ordered alphabetically by Sense ID. This is confusing because S19 is sorted before S2 for example.

Screenshot:

BDD
GIVEN a Lexeme with several Senses
WHEN viewing the Lexeme
THEN the Senses are ordered numerically by their ID

Acceptance criteria:

  • Senses are ordered numerically by their ID when viewing a page

Event Timeline

Lydia_Pintscher triaged this task as High priority.Sep 2 2018, 3:14 PM
Lydia_Pintscher added a project: WMDE-Design.
Restricted Application added a project: Design. · View Herald TranscriptSep 2 2018, 3:14 PM
Lydia_Pintscher renamed this task from Senses are ordered based on their string representations and not numeric ones to Ordering of Senses.Sep 2 2018, 4:13 PM
Lydia_Pintscher renamed this task from Ordering of Senses to Order of Senses.

I think the only meaningful order we can have here is numerically by Sense ID.

Addshore set the point value for this task to 5.

Change 463976 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/WikibaseLexeme@master] Sort Senses in SensesView

https://gerrit.wikimedia.org/r/463976

Change 463980 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/WikibaseLexeme@master] Sort Forms in FormsView

https://gerrit.wikimedia.org/r/463980

Ladsgroup claimed this task.Oct 2 2018, 6:08 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptOct 2 2018, 6:08 PM
KaMan added a subscriber: KaMan.Oct 9 2018, 8:59 AM

Change 463976 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Sort Senses in SenseSet based on their numeric IDs

https://gerrit.wikimedia.org/r/463976

Lea_Lacroix_WMDE closed this task as Resolved.Oct 12 2018, 7:28 AM
Lea_Lacroix_WMDE added a subscriber: Lea_Lacroix_WMDE.

Tested here, it works well \o/